Rest-client-builder 2.0.0 can't work with Grails 2.2.4 and Spring-Security-Core 2.0 RC2

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Rest-client-builder 2.0.0 can't work with Grails 2.2.4 and Spring-Security-Core 2.0 RC2

netwiser
Hi I have a project running on Grails 2.2.4, Spring Security Core 2.0 RC2 and Rest-Client-Builder 1.0.3 and was working fine. Today I want to upgrade the rest-client-builder to 2.0.0 but experience this error:

/.grails/ivy-cache/org.grails/grails-hibernate/jars/grails-hibernate-2.2.4.jar!/org/codehaus/groovy/grails/compiler/gorm/GormTransformer.class]; nested exception is java.lang.NoClassDefFoundError: org/springframework/core/type/classreading/AnnotationMetadataReadingVisitor (Use --stacktrace to see the full trace)

Any thought?

Regards,

James